# Class WebJobExecutor

### Hierarchy

- BaseJobExecutor
  - WebJobExecutor

### Implements

- JobExecutor

### Constructors

- constructor

### Properties

- serverType
- serverUrl

### Methods

- appendRequest
- appendWaitingRequest
- clearRequests
- execute
- getRequests
- resendWaitingRequests

## Constructors

### constructor

- new WebJobExecutor(serverUrl: string, serverType: ServerType, jobsPath: string, requestClient: RequestClient, sasViyaApiClient: SASViyaApiClient): WebJobExecutor

- Overrides BaseJobExecutor.constructor

  - Defined in src/job-execution/WebJobExecutor.ts:19

  #### Parameters

  - ##### serverUrl: string

  - ##### serverType: ServerType

  - ##### jobsPath: string

  - ##### requestClient: RequestClient

  - ##### sasViyaApiClient: SASViyaApiClient

  #### Returns WebJobExecutor

## Properties

### Protected serverType

serverType: ServerType

Inherited from BaseJobExecutor.serverType

- Defined in src/job-execution/JobExecutor.ts:21

### Protected serverUrl

serverUrl: string

Inherited from BaseJobExecutor.serverUrl

- Defined in src/job-execution/JobExecutor.ts:21

## Methods

### Protected appendRequest

- appendRequest(response: any, program: string, debug: boolean): void

- Inherited from BaseJobExecutor.appendRequest

  - Defined in src/job-execution/JobExecutor.ts:56

  #### Parameters

  - ##### response: any

  - ##### program: string

  - ##### debug: boolean

  #### Returns void

### Protected appendWaitingRequest

- appendWaitingRequest(request: ExecuteFunction): void

- Inherited from BaseJobExecutor.appendWaitingRequest

  - Defined in src/job-execution/JobExecutor.ts:52

  #### Parameters

  - ##### request: ExecuteFunction

  #### Returns void

### clearRequests

- clearRequests(): void

- Inherited from BaseJobExecutor.clearRequests

  - Defined in src/job-execution/JobExecutor.ts:48

  #### Returns void

### execute

- execute(sasJob: string, data: any, config: any, loginRequiredCallback?: any): Promise<unknown>

- Overrides BaseJobExecutor.execute

  - Defined in src/job-execution/WebJobExecutor.ts:30

  #### Parameters

  - ##### sasJob: string

  - ##### data: any

  - ##### config: any

  - ##### Optional loginRequiredCallback: any

  #### Returns Promise<unknown>

### getRequests

- getRequests(): SASjsRequest[]

- Inherited from BaseJobExecutor.getRequests

  - Defined in src/job-execution/JobExecutor.ts:46

  #### Returns SASjsRequest[]

### resendWaitingRequests

- resendWaitingRequests(): Promise<void>

- Inherited from BaseJobExecutor.resendWaitingRequests

  - Defined in src/job-execution/JobExecutor.ts:34

  #### Returns Promise<void>

Generated using TypeDoc